> ## Name

> cgGLGetOptimalOptions - deprecated, use cgGLGetContextOptimalOptions

> ## Synopsis

>     #include <Cg/cgGL.h>

>     char const ** cgGLGetOptimalOptions( CGprofile profile );

> ## Parameters

> profile
>   The profile whose optimal arguments are requested.

> ## Return Values

> Returns a null-terminated array of strings representing the optimal set of compiler options for profile.

> Returns NULL if profile isn't supported by the current driver or GPU.

> ## Description

> cgGLGetOptimalOptions returns the best set of compiler options for a given profile on the current driver and GPU. Note that different driver/GPU combinations might return different sets of options for the same profile value.

> The elements of the returned array are meant to be used as part of the args parameter to cgCreateProgram or cgCreateProgramFromFile.

> The strings returned for each value of profile remain valid until the next time cgGLGetOptimalOptions is called with this profile value.

> The application does not need to destroy the returned strings.

> ## Examples

>     char const ** ppOptions = cgGLGetOptimalOptions(vertProfile);

>     if (ppOptions && *ppOptions) {
>         while (*ppOptions) {
>             printf("%s\n", *ppOptions);
>             ppOptions++;
>         }
>     }

>     const char* vertOptions[]  = { myCustomArgs,
>                                    ppOptions,
>                                    NULL };

>     CGprogram myVS = cgCreateProgramFromFile( context,
>                                               CG_SOURCE,
>                                               "vshader.cg",
>                                               vertProfile,
>                                               "VertexShader",
>                                               vertOptions);

> ## Errors

> None.

> ## History

> cgGLGetOptimalOptions was introduced in Cg 2.2.

> cgGLGetOptimalOptions was deprecated in Cg 3.1, use cgGLGetContextOptimalOptions.

> ## See Also

> cgGLGetContextOptimalOptions